Summary:	JavaScript display engine for mathematics
Name:		MathJax
Version:	1.1a
Release:	3
License:	Apache v2.0
Group:		Applications/WWW
# https://github.com/mathjax/MathJax/zipball/v1.1a
Source0:	%{name}-%{version}.zip
# Source0-md5:	63a0401cbf84bbeb173072d77c127299
URL:		http://www.mathjax.org/
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	unzip
Requires:	webapps
Requires:	webserver(access)
Requires:	webserver(alias)
Conflicts:	apache-base < 2.4.0-1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir		%{_datadir}/%{_webapp}

%description
MathJax is an open source JavaScript display engine for mathematics
that works in all modern browsers.

%prep
%setup -q -n mathjax-MathJax-f5cd294

cat > apache.conf <<'EOF'
Alias /%{name} %{_appdir}
<Directory %{_appdir}>
	Allow from all
</Directory>
EOF

cat > httpd.conf <<'EOF'
Alias /%{name} %{_appdir}
<Directory %{_appdir}>
	Require all granted
</Directory>
EOF

cat > lighttpd.conf <<'EOF'
alias.url += (
    "/%{name}" => "%{_appdir}",
)
EOF

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}}

cp -a MathJax.js config extensions fonts jax $RPM_BUILD_ROOT%{_appdir}

cp -a apache.conf $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
cp -a apache.conf $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf
cp -a lighttpd.conf $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache-base
%webapp_unregister httpd %{_webapp}

%triggerin -- lighttpd
%webapp_register lighttpd %{_webapp}

%triggerun -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.* docs test unpacked
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf
%{_appdir}
%changelog
* Wed May 15 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/MathJax.git;a=log;h=master

* Wed May 15 2013 Jan Rękorajski <baggins@pld-linux.org> 48fc5bf
- C proper package
- rel 3

* Wed May 15 2013 Jan Rękorajski <baggins@pld-linux.org> ec08939
- migrate to apache 2.4
- rel 2

* Mon Nov 07 2011 Jan Rękorajski <baggins@pld-linux.org> 14b438a
- 1.1a
- source distribution model change to github

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> d38386b
- BR: unzip
- adapterized

* Mon Nov 15 2010 Jan Rękorajski <baggins@pld-linux.org> 4391dd5
- initial revision

